# Solana gRPC Dedicated Nodes

**Dedicated Solana gRPC Nodes** are Shyft’s enterprise-grade endpoints — designed for teams that demand total control, consistent speed, and guaranteed availability.\
Every node is a private, isolated environment with exclusive compute and bandwidth reserved only for you.\
Built on **Shyft’s fault-tolerant** infrastructure, dedicated nodes deliver the same reliability as our shared platform — but with **better performance, guaranteed isolation, and zero contention.**

**Reach out to us on** [**Discord**](https://docs.shyft.to/) **or Dashboard Support to discuss your requirements and purchase your dedicated node.**

### Core Benefits

For situations where every millisecond matters

* <mark style="color:yellow;">Faster gRPC streaming</mark> than shared cluster by **3-15ms**.
* <mark style="color:yellow;">Faster RPC Calls —</mark> No authentication of API keys or rate limit enforcement saves you 5-10ms.
* <mark style="color:yellow;">Gen 5 AMD</mark> CPUs and <mark style="color:yellow;">Threadrippers</mark> for peak performance and reliability.
* <mark style="color:yellow;">No imposed limits</mark> on subscribe requests or connections.
* <mark style="color:yellow;">No noisy neighbours</mark>**, complete isolation** — Dedicated nodes stream only to your connection, while shared gRPC streams to all connected clients.
* <mark style="color:yellow;">Highly-Available</mark> thanks to Shyft's enterprise-grade infrastructure with **automatic failovers** baked into our load-balancers and DNS.

### Available Configs

We provision Gen5 AMD CPUs with high speed 5600/6400 MHz Ram sticks.

{% hint style="warning" %}
More cores and higher ram would be better suited for high laod. Especially if you want to use the node for RPC calls as well.
{% endhint %}

<table><thead><tr><th width="410.4609375">Hardware Config</th><th>Price</th></tr></thead><tbody><tr><td>9275f CPU (24 cores) &#x26; 768gb ram</td><td>$2200/mo</td></tr><tr><td>9375f CPU (32 cores) &#x26; 768gb ram</td><td>$2500/mo</td></tr><tr><td>7975x (32 cores) CPU &#x26; 768gb</td><td>$2500/mo</td></tr><tr><td>9375f (32 cores) CPU &#x26; 1tb ram</td><td>$2800/mo</td></tr><tr><td>9254 (24 cores) CPU &#x26; 384gb ram (Gen  4)</td><td>$1800/mo</td></tr><tr><td>9354 (32 cores) CPU &#x26; 768gb ram (Gen 4)</td><td>$2500/mo</td></tr></tbody></table>

Reach out to us on [Discord](https://discord.com/invite/RXBmKSdVRe) or <mark style="color:yellow;">Dashboard Support</mark> to book a node for yourself.

### Solana RPC Calls

**Can this dedicated gRPC node be used for RPC calls as well?**

**Yes,** your dedicated node can also be used for RPC calls. But keep in mind that all RPC calls are not equal. Index calls like **getProgramAccounts, getTokenAccountsByOwner, getTokenLargestAccounts** are very resource intensive and require minimum 1TB ram.

Transaction history calls  like **getBlock, getTransaction, getSignaturesForAddress, etc** can be enabled, but will be limited to 1 day.

Enabling both **indexes** and **transactions** on the same node can impact gRPC latency slightly.

### Node Reliability

Won't a dedicated node become a single point of failure for us? How will uptime and reliability be guaranteed?

<mark style="color:yellow;">Load Balancer with Automatic Failover</mark>

All our dedicated nodes are backed by redundant failovers in the same region. When you connect to your dedicated node, it connects to a load balancer/proxy which constantly monitors your node's health.

If your node starts to lag or goes down for some reason, the proxy instantly routes your traffic to a backup node in the same region without any downtime for you.

<mark style="color:yellow;">DNS Level Health Checks</mark>

Here's how it works:

* Your dedicated endpoint is `https://dedicated.shyft.to`, which currently points to a  server IP (e.g., `64.X.X.91`).
* Our system constantly monitors the health of that physical server.
* If the primary server goes down (due to a datacenter outage or any other issue), the DNS record automatically updates.
* It points your domain (`https://dedicated.shyft.to`) to a different, healthy server IP hosting an identical proxy.

The result? Your connection automatically reroutes to a working server, ensuring maximum uptime and minimal disruption to your service.&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.shyft.to/solana-yellowstone-grpc/dedicated-solana-grpc-nodes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
